Bug 97494 - (VM)Excessive swapping in spite of 200MB free RAM
(VM)Excessive swapping in spite of 200MB free RAM
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-16 14:08 EDT by Daniel Brockhaus
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Brockhaus 2003-06-16 14:08:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; .NET CLR 1.0.3705)

Description of problem:
The problem occurs on a machine with 512MB RAM and 1024MB swap. top reports 
about 200MB free RAM (not actually free, but used for cache and buffers). Used 
swap space varies between 15MB and 25MB.

iostat (and sar) report that the swap partition is busy (about 15 transaction 
per second).

In my opinion the system shouldn't swap at all while there is enough RAM 
available. Even if one considers that swapping out unused program parts to use 
the freed RAM for harddisk cache might be more efficient there's absolutely no 
justification for this heavy swap activity.

I've disabled swap (via swapoff) to avoid burning out yet another harddisk (one 
rests in peace already due to a similar problem). This resulted in about 20MB 
less free RAM, but the system appears to run fine. I'd prefer a less drastic 
solution, though.

Are there any options in /proc/sys I could use to make swapping out less 
aggressive?

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. Boot.
2. Wait a few minutes.
3. Watch HD activity light flicker.
    

Actual Results:  Heavy swapping.

Expected Results:  No swapping.

Additional info:

The software running on this system is making heavy use of anonymous mmap().
Comment 1 Bugzilla owner 2004-09-30 11:41:09 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.